<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('piatto', function (Blueprint $table) {
            $table->id();
            $table->string('nome');
            $table->string('descrizione')->nullable();
            $table->decimal('prezzo', 10, 2);
            $table->bigInteger('cucina_id')->unsigned()->nullable();
            $table->bigInteger('menu_id')->unsigned()->nullable();
            $table->string('immagine')->nullable();
            $table->boolean('disponibile')->default(true);
            $table->boolean('allergeni')->default(false);
            $table->boolean('bacheca_id')->default(false);
            $table->boolean('in_evidenza')->default(false);
            $table->timestamps();
        });


    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('piatto');
    }
};
